RagTime5SpreadsheetInternal::CellValue Struct Reference

internal: a structure used to store a value in a cell in RagTime5SpreadsheetInternal More...

## Public Member Functions

| CellValue ()
| constructor
void | update (MWAWCell &cell, MWAWCellContent &content) const
| update the cell's content

## Public Attributes

int | m_type
| the cell type
unsigned long | m_id
| a id value
long | m_long
| a long value
double | m_double
| a double value
librevenge::RVNGString | m_text
| the text
int | m_formulaId
| the formula id
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, CellValue const &cell)
| operator<<

## Detailed Description

internal: a structure used to store a value in a cell in RagTime5SpreadsheetInternal

## Constructor & Destructor Documentation

## CellValue()

RagTime5SpreadsheetInternal::CellValue::CellValue | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## update()

void RagTime5SpreadsheetInternal::CellValue::update | ( | MWAWCell & | cell,
|  | MWAWCellContent & | content ) const

inline

update the cell's content

Referenced by RagTime5Spreadsheet::send().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellValue const & | cell )

friend

operator<<

## Member Data Documentation

## m_double

double RagTime5SpreadsheetInternal::CellValue::m_double

a double value

Referenced by CellValue(), operator<<, RagTime5SpreadsheetInternal::ValuesParser::parseData(), and update().

## m_extra

std::string RagTime5SpreadsheetInternal::CellValue::m_extra

extra data

Referenced by CellValue(), and operator<<.

## m_formulaId

int RagTime5SpreadsheetInternal::CellValue::m_formulaId

the formula id

Referenced by CellValue(), operator<<, RagTime5SpreadsheetInternal::ValuesParser::parseData(), and RagTime5Spreadsheet::send().

## m_id

unsigned long RagTime5SpreadsheetInternal::CellValue::m_id

a id value

Referenced by CellValue(), operator<<, RagTime5SpreadsheetInternal::ValuesParser::parseData(), and RagTime5Spreadsheet::send().

## m_long

long RagTime5SpreadsheetInternal::CellValue::m_long

a long value

Referenced by CellValue(), operator<<, and RagTime5SpreadsheetInternal::ValuesParser::parseData().

## m_text

librevenge::RVNGString RagTime5SpreadsheetInternal::CellValue::m_text

the text

Referenced by CellValue(), operator<<, RagTime5SpreadsheetInternal::ValuesParser::parseData(), and RagTime5Spreadsheet::send().

## m_type

int RagTime5SpreadsheetInternal::CellValue::m_type

the cell type

Referenced by CellValue(), operator<<, RagTime5SpreadsheetInternal::ValuesParser::parseData(), RagTime5Spreadsheet::send(), and update().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx